Subject: bug#21728: closed (Re: bug#21728: 25.0.50; [patch] mention focus-{in,out}-hook in manual)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 23 Feb 2016 05:33:02 +0000

Your bug report

#21728: 25.0.50; [patch] mention focus-{in,out}-hook in manual

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
21728: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21728
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#21728: 25.0.50; [patch] mention focus-{in,out}-hook in manual
From: Lars Ingebrigtsen <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: Aaron Ecay <[email-masked]>, [email-masked]
Date: Tue, 23 Feb 2016 16:31:47 +1100
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

> No, they are also mentioned in the node "Input Focus".  And the node
> "Focus Events", where you suggested the addition, has a
> cross-reference to "Input Focus", near its beginning.  So perhaps what
> we need is a sentence near that cross-reference that somehow mentions
> these two hooks, and all the rest is already in place?  Would you like
> to suggest an alternative patch along these lines?

Hm...  is that really necessary, though?  With that xref it seems pretty
clear that the user should go to that node for more info on everything
connected with input focus, I think...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no

Subject: 25.0.50; [patch] mention focus-{in,out}-hook in manual
From: Aaron Ecay <[email-masked]>
To: [email-masked]
Date: Wed, 21 Oct 2015 19:48:06 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

The emacs lisp reference doesn’t mention focus-in-hook and its -out-
variant, except in a list of hooks.  Yet it contains some discussion of
focus events.  To make it clear that the hooks exist, I’ve added a
reference to them in the attached patch.

>From f89a1bc9d70170f77c85ca447b8a8c3efa6f1ccd Mon Sep 17 00:00:00 2001
From: Aaron Ecay <[email-masked]>
Date: Wed, 21 Oct 2015 19:38:23 +0100
Subject: [PATCH] doc/lispref/commands.texi (Focus Events): Mention
 `focus-{in,out}-hook'.

* doc/lispref/commands.texi (Focus Events): Mention `focus-{in,out}-hook'.
---
 doc/lispref/commands.texi | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/doc/lispref/commands.texi b/doc/lispref/commands.texi
index 7ddf5ee..1aee2b5 100644
--- a/doc/lispref/commands.texi
+++ b/doc/lispref/commands.texi
@@ -1682,6 +1682,9 @@ Focus Events
 so that the focus event comes either before or after the multi-event key
 sequence, and not within it.
 
+Another facility that Emacs provides for running lisp code on focus
+changes is @code{focus-in-hook} and @code{focus-out-hook}.
+
 @node Misc Events
 @subsection Miscellaneous System Events
 
-- 
2.6.1

(I have a copyright assignment on file.)

Thanks,

-- 
Aaron Ecay